
Smart Proxy - Bug #14461

Smart proxy fails to load any modules when running under ruby 2.3

04/04/2016 11:02 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Core   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/404

  

Description

Related issues:

Related to Foreman - Refactor #14840: Support Ruby 2.3 Closed 04/26/2016

Associated revisions

Revision b215df84 - 04/06/2016 09:38 AM - Dmitri Dolguikh 

Fixes #14461 - removed :method_missing from Proxy::Settings::Plugin

OpenStruct always returned 'nil' when calling methods for non-existing keys. Before ruby 2.3 methods for keys 

were defined during OpenStruct instantiation.

  Starting with ruby 2.3 methods for members of the OpenStruct are defined lazily, via method_missing. Our ove

rride of the method was breaking OpenStruct (and

  as a consequence Proxy::Settings::Plugin).

History

#1 - 04/04/2016 11:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/404 added

#2 - 04/04/2016 11:13 AM - Anonymous

- Category set to Core

#3 - 04/06/2016 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b215df8446752af50cf7de147889d862423fdd41.

#4 - 04/07/2016 09:14 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#5 - 04/26/2016 05:40 PM - Anonymous

- Related to Refactor #14840: Support Ruby 2.3 added
